html, body {
    overflow-x: hidden;
    
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

main {
    flex: 1; 
}

.carousel-slide {
    width: 100%;
    height: 700px;
    position: relative;
    overflow: hidden;
}

.carousel-slide .carousel-item img {
    width: 100%;
    height: 100%;          
    object-fit: cover;     
    object-position: center;
    display: block;
}

.carousel-text {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);

    text-align: center;
    color: white;
    z-index: 5;

    background: rgba(0, 0, 0, 0.45); 
    padding: 25px 40px;
    border-radius: 12px;

    box-shadow: 0 8px 30px rgba(0,0,0,0.7);
    backdrop-filter: blur(4px);

    display: flex;            
    flex-direction: column;    
    align-items: center;       
    justify-content: center;    
}

.carousel-text img {
    max-width: 250px; 
    margin-bottom: 15px;
    display: block;       
}


.carousel-text h1 {
    font-size: 55px;
    font-weight: 800;
    margin-bottom: 10px;
}

.carousel-text p {
    font-size: 22px;
    font-weight: 400;
}

.btn-carousel {
    margin-top: 15px;
    padding: 12px 32px;

    font-size: 20px;
    font-weight: 600;
    color: white;
    background: linear-gradient(135deg, #214f8a, #001325);
    
    border: none;
    border-radius: 50px;

    cursor: pointer;
    transition: 0.3s ease;
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.35);
}

.btn-carousel:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 28px rgba(9, 51, 103, 0.55);
    background: linear-gradient(135deg, #0d1f30, #001325);
}

.btn-cad {
    margin-top: 5px;
    padding: 8px 10px;
    width: 100%;

    font-size: 15px;
    font-weight: 600;
    color: white;
    background: linear-gradient(135deg, #214f8a, #001325);
    
    border: none;
    border-radius: 50px;

    cursor: pointer;
    transition: 0.3s ease;
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.35);
}

.btn-cad:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 28px rgba(9, 51, 103, 0.55);
    background: linear-gradient(135deg, #0d1f30, #001325);
}



.welcome-section {
    width: 100%;
    padding: 80px 0;
    background: white;
    display: flex;
    justify-content: center;
}

.welcome-container {
    width: 80%;
    max-width: 1300px;
    display: flex;
    gap: 80px;
}

.welcome-texto {
    flex: 2;
    color: #002244;
    font-size: 17px;
    line-height: 1.7;
}

.welcome-texto p {
    text-align: justify;
}

.welcome-texto h2 {
    font-size: 36px;
    font-weight: 700;
    margin-bottom: 25px;
    color: #001A38;
}

.welcome-lateral {
    flex: 1.3;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.welcome-foto-card {
    text-align: center;
}

.welcome-foto-card img {
    width: 100%;
    max-width: 280px;
    border-radius: 6px;
    margin-bottom: 10px;
}

.welcome-foto-card h4 {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 2px;
}

.welcome-foto-card span {
    font-size: 14px;
    color: #666;
}

.welcome-citacao {
    border-left: 2px solid #ccc;
    padding-left: 15px;
    font-style: italic;
    color: #333;
}

.welcome-citacao small {
    display: block;
    margin-top: 10px;
    color: #777;
}

.secretariado-wrapper {
    display: flex;
    justify-content: center;
    gap: 25px;
    margin-bottom: 30px;
}

.secretario-card {
    text-align: center;
    width: 110px;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.secretario-card img {
    width: 110px;
    height: 110px;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid #ffffffaa;
    box-shadow: 0 4px 10px rgba(0,0,0,0.25);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.secretario-card h4 {
    margin-top: 10px;
    font-size: 15px;
    color: #002244;
    font-weight: 600;
}

.secretario-card span {
    font-size: 13px;
    color: #666;
}

.secretario-card:hover img {
    transform: scale(1.08);
    box-shadow: 0 6px 18px rgba(0,0,0,0.35);
}

.secretario-card:hover {
    transform: translateY(-3px);
}



@media (max-width: 900px) {

    .welcome-container {
        flex-direction: column;
        gap: 50px;
    }

    .welcome-texto h2 {
        text-align: center;
    }

    .welcome-foto-card {
        text-align: center;
    }

    .secretariado-wrapper {
        gap: 15px;
    }

    .secretario-card {
        width: 90px;
    }

    .secretario-card img {
        width: 90px;
        height: 90px;
    }
    #carouselExampleCaptions {
    max-width: 1200px;
    margin: 0 auto 40px;
    }

    #carouselExampleCaptions .carousel-item {
    height: 60vh;
    min-height: 350px;
    }

    #carouselExampleCaptions .carousel-item img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      object-position: center;
    }
}

.modal-custom {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.modal-content {
    background: #fff;
    padding: 30px;
    width: 100%;
    max-width: 400px;
    border-radius: 8px;
    position: relative;
}

.modal-content h3 {
    margin-bottom: 20px;
    text-align: center;
}

.close {
    position: absolute;
    right: 15px;
    top: 10px;
    font-size: 22px;
    cursor: pointer;
}

.btn-link {
    background: none;
    border: none;
    color: #0d6efd;
    cursor: pointer;
    text-decoration: underline;
}


